Package groovy.lang

# Class MissingPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingPropertyException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IllegalPropertyAccessException`, `MissingPropertyExceptionNoStack`, `ReadOnlyPropertyException`

    public class MissingPropertyException
    extends GroovyRuntimeException

An exception occurred if a dynamic property dispatch fails with an unknown property. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static Object` | `MPE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MissingPropertyException​(String message)` |
  `MissingPropertyException​(String property, Class type)` |
  `MissingPropertyException​(String property, Class type, Throwable t)` |
  `MissingPropertyException​(String message, String property, Class type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getMessageWithoutLocationText()` |
  `String` | `getProperty()` |
  `Class` | `getType()` |

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MPE

    public static final Object MPE

- ## Constructor Details

  - ### MissingPropertyException

    public MissingPropertyException​(String property, Class type)

  - ### MissingPropertyException

    public MissingPropertyException​(String property, Class type, Throwable t)

  - ### MissingPropertyException

    public MissingPropertyException​(String message)

  - ### MissingPropertyException

    public MissingPropertyException​(String message, String property, Class type)

- ## Method Details

  - ### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()
    Overrides:
      `getMessageWithoutLocationText` in class `GroovyRuntimeException`

  - ### getProperty

    public String getProperty()
    Returns:
      the name of the property that could not be found

  - ### getType

    public Class getType()
    Returns:
      The type on which the property was attempted to be called